Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions
proofs::CompilerBackend< Field > Class Template Reference

## Public Types
using | V = size_t

## Public Member Functions
| CompilerBackend (QuadCircuitF *q)
V | assert0 (const V &a) const
V | add (const V &a, const V &b) const
V | sub (const V &a, const V &b) const
V | mul (const V &a, const V &b) const
V | mul (const Elt &a, const V &b) const
V | mul (const Elt &a, const V &b, const V &c) const
V | konst (const Elt &a) const
V | ax (const Elt &a, const V &x) const
V | axy (const Elt &a, const V &x, const V &y) const
V | axpy (const V &y, const Elt &a, const V &x) const
V | apy (const V &y, const Elt &a) const
V | input () const
void | output (size_t n, V wire_id) const
size_t | wire_id (const V &a) const

The documentation for this class was generated from the following file:

- lib/circuits/logic/compiler_backend.h